Warehouse name and address information
You call thisinventoryinventory:selfinventory:warehouseinventory:warehouse:selflegacyscmui
GET
/v1/warehouse/{id}
const url = 'https://api.zentail.com/v1/warehouse/1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.zentail.com/v1/warehouse/1 \ --header 'Authorization: Bearer <token>'Returns the ID, name, and address of the warehouse requested.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
number
Warehouse ID
Responses
Section titled “ Responses ”Success
Media type*/*
object
warehouse_id
A unique identifier for this warehouse, should be used when updating inventory through the API.
number
warehouseUniqueId
Unique identifier for the warehouse as recognized by the application.
string
name
string
address
object
name
string
company
string
line1
string
line2
string
city
string
state
string
postal_code
string
phone
string
email
string
country_code
string
Bad Request
Media type*/*
object
errorCode
number
Example
400errorMessages
Array<string>
referenceId
string format: uuid
Permission Denied
Media type*/*
object
errorCode
number
Example
403errorMessages
Array<string>
referenceId
string format: uuid
Not Found
Media type*/*
object
errorCode
number
Example
404errorMessages
Array<string>
referenceId
string format: uuid
Zentail Error
Media type*/*
object
errorCode
number
Example
500errorMessages
Array<string>
referenceId
string format: uuid
errorMessage
string
Zentail Error
Media type*/*
object
errorCode
number
Example
503errorMessages
Array<string>
referenceId
string format: uuid